RHEL 7 / 8 : Red Hat JBoss Core Services Apache HTTP Server 2.4.57 SP2 (RHSA-2023:7625)

critical Nessus Plugin ID 186674

Synopsis

The remote Red Hat host is missing one or more security updates for Red Hat JBoss Core Services Apache HTTP Server 2.4.57 SP2.

Description

The remote Redhat Enterprise Linux 7 / 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2023:7625 advisory.

- openssl: Denial of service by excessive resource usage in verifying X509 policy constraints (CVE-2023-0464)

- openssl: Invalid certificate policies in leaf certificates are silently ignored (CVE-2023-0465)

- openssl: Certificate policy check not enabled (CVE-2023-0466)

- openssl: Possible DoS translating ASN.1 object identifiers (CVE-2023-2650)

- openssl: Excessive time spent checking DH keys and parameters (CVE-2023-3446)

- OpenSSL: Excessive time spent checking DH q parameter value (CVE-2023-3817)

- curl: out of heap memory issue due to missing limit on header quantity (CVE-2023-38039)

- curl: heap based buffer overflow in the SOCKS5 proxy handshake (CVE-2023-38545)

- curl: cookie injection with none file (CVE-2023-38546)

- httpd: Apache Tomcat Connectors (mod_jk) Information Disclosure (CVE-2023-41081)

- mod_http2: reset requests exhaust memory (incomplete fix of CVE-2023-44487) (CVE-2023-45802)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL Red Hat JBoss Core Services Apache HTTP Server 2.4.57 SP2 package based on the guidance in RHSA-2023:7625.

See Also

http://www.nessus.org/u?5681bc3e

https://access.redhat.com/security/updates/classification/#important

https://access.redhat.com/errata/RHSA-2023:7625

https://bugzilla.redhat.com/show_bug.cgi?id=2181082

https://bugzilla.redhat.com/show_bug.cgi?id=2182561

https://bugzilla.redhat.com/show_bug.cgi?id=2182565

https://bugzilla.redhat.com/show_bug.cgi?id=2207947

https://bugzilla.redhat.com/show_bug.cgi?id=2224962

https://bugzilla.redhat.com/show_bug.cgi?id=2227852

https://bugzilla.redhat.com/show_bug.cgi?id=2238847

https://bugzilla.redhat.com/show_bug.cgi?id=2239135

https://bugzilla.redhat.com/show_bug.cgi?id=2241933

https://bugzilla.redhat.com/show_bug.cgi?id=2241938

https://bugzilla.redhat.com/show_bug.cgi?id=2243877

Plugin Details

Severity: Critical

ID: 186674

File Name: redhat-RHSA-2023-7625.nasl

Version: 1.4

Type: local

Agent: unix

Published: 12/7/2023

Updated: 4/29/2024

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

Risk Information

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2023-38545

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-mod_jk-ap24, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-libcurl, cpe:/o:redhat:enterprise_linux:7, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-openssl, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-libcurl-devel, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-openssl-devel, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-curl, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-openssl-libs, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-openssl-static, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-mod_http2, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-mod_jk, cpe:/o:redhat:enterprise_linux:8, p-cpe:/a:redhat:enterprise_linux:jbcs-httpd24-openssl-perl

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 12/7/2023

Vulnerability Publication Date: 3/21/2023

Reference Information

CVE: CVE-2023-0464, CVE-2023-0465, CVE-2023-0466, CVE-2023-2650, CVE-2023-3446, CVE-2023-38039, CVE-2023-3817, CVE-2023-38545, CVE-2023-38546, CVE-2023-41081, CVE-2023-45802

CWE: 119, 202, 400, 73, 770

RHSA: 2023:7625